From: [email-masked] (Ming Pan)
Date: Tue, 30 Nov 93 21:52:50 CST

I have two questions regarding the application for permanent residency.
Any suggestions and comments would be greatly appreciated.

1) As a LAD, I filed my application with New York INS in August and got
   the EAD card (work permission) in September. But I haven't received
   the receipt notice by now. I was told by an immigration officer that
   I should be able to receive the receipt notice in three months when
   I filed the application. But now more than 3 months has passed. It
   seems that the LADs in New York are unlucky compared with those in
   other areas. We encountered more hostility when we filed the applica-
   tion and now we have to wait more time for our receipt notices, inter-
   views (who knows when they will be.) ... Are there any fellow LADs
   in New York who share the same problems?

2) I came here with an F-2 visa. Now I'm a graduate student of NYU. I
   did get my own I-20 form from my university, but I'm not sure whether
   I should use it to change my visa status to F-1. Now that my appli-
   cation for permanent residency is pending in INS, I guess I needn't
   and shouldn't apply for the F-1 visa because it's for those who don't
   want to abandon his former permanent residence. Is it right?

Thanks again for any suggestions and comments.